# Ansible role - motd

Install and configure dynamic MOTD

This role uses [https://gitea.tips-of-mine.com/Tips-Of-Mine/motd](https://gitea.tips-of-mine.com/Tips-Of-Mine/motd) by default to get the MOTD

```
System info:
  Hostname·········: tips-of-mine_motd_ubuntu-20.04
  Distro···········: Ubuntu 20.04.3 LTS
  Kernel···········: Linux 5.10.47-linuxkit
  Uptime···········: up 12 days, 23 hours, 18 minutes
  Load·············: 1.33 (1m), 0.43 (5m), 0.20 (15m)
  Processes········: 13 (root), 3 (user), 16 (total)
  CPU··············: Intel(R) Core(TM) i7-8569U CPU @ 2.80GHz (4 vCPU)
  Memory···········: 626Mi used, 2.6Gi avail, 3.8Gi total
  Local IPs········: 172.17.0.6

Disk usage:
  /                               9% used out of  63G
  [====··············································]

Ansible:
  Last deployment···: 2021-09-27T13:33:33.665714Z
```

## :warning: Requirements

Ansible >= 2.10

## :zap: Installation

```bash
ansible-galaxy install tips-of-mine.motd
```

## :gear: Role variables

Variable                     | Default value                                                          | Description
-----------------------------|------------------------------------------------------------------------|----------------------------------------------------------------
motd_disable_default_motd    | true                                                                   | Disable system default MOTD (/etc/motd)
motd_template                | https://gitea.tips-of-mine.com/Tips-Of-Mine/motd/scripts/00-basic      | Dynmaic MOTD template<br>Can be a URL or a local template
motd_template_prepend        | ""                                                                     | Prepend raw content to `motd_template`
motd_template_append         | See [defaults/main.yml](defaults/main.yml)                             | Append raw content to `motd_template`
motd_template_username       | ""                                                                     | Used when `motd_template` is an URL
motd_template_password       | ""                                                                     | Used when `motd_template` is an URL

## :pencil2: Example Playbook

```yaml
---
- hosts: all
  roles:
    - role: tips-of-mine.motd
      motd_template: "{{ playbook_dir }}/templates/dynmotd.j2"
```

## :closed_lock_with_key: [Hardening](HARDENING.md)

## :heart_eyes_cat: [Contributing](CONTRIBUTING.md)

## :copyright: [License](LICENSE)

[Mozilla Public License Version 2.0](https://www.mozilla.org/en-US/MPL/2.0/)
